      IDCONVERT     (1)

NAME
idconvert — Convert mass spectrometry identification file formats.

SYNOPSIS

idconvert [options] [filemasks]

DESCRIPTION

This manual page documents briefly the idconvert software shipped within the libpwiz-tools package. This program allows one to convert mass spectrometry protein identification data files from one format to another.

OPTIONS

-v | --verbose
    Display detailed processing progress information.

-f | --filelist filename
    Uses the contents of filename which lists filenames.

-o | --outdir dir
    Set the output directory ('-' for stdout) to dir. By default, the output directory is '.' (that is, the current working directory).

-c | --config filename
    Set the configuration file to filename.

-e | --ext ext
    Set the extension of the output files to ext. Can be mzid or pepXML or txt.

--mzIdentML
    Write mzIdentML format (default).

--pepXML
    Write pepXML format.

--text
    Write hierarchical text format.

EXAMPLES

Convert sequest.pepXML to sequest.mzid

idconvert sequest.pepXML

Convert mascot.mzid to mascot.pepXML

idconvert mascot.mzid --pepXML

Use a configuration file

idconvert xtandem.pep.xml -c config.txt

RETURN VALUE

The number of failed files.

AUTHOR

Filippo Rusconi <lopippo@debian.org>

This manual page was written by Filippo Rusconi <lopippo@debian.org> (initial writing 05 december 2013). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3, published by the Free Software Foundation.

On a Debian system the complete text of the GNU General Public License version 3 can be found in the file `/usr/share/common-licenses/GPL-3'.